#include<bits/stdc++.h>
using namespace std;

inline int r(){
    int x=0,k=1;
    char ch=getchar();
    while(ch<'0'||ch>'9'){
	    if(ch=='-')
			k=-1;
	    ch=getchar();
	}
	while(ch>='0'||ch<='9'){
	   x=(x<<1)+(x<<3)+(ch^48);
	   ch=getchar();
	}
	return x*k;
}

int main(){
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
	cout<<"114514";
}
















